Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus whenit calls `list-processes'

From: Daniel Colascione <[email-masked]>
Date: Sun, 22 Jul 2012 14:21:13 -0700

On 7/22/12 2:07 PM, Drew Adams wrote:
>> The bash cmd prompt recognizes ~ correctly.  And so does 
>> Emacs (aside from emacs -Q).
>>
>> And env var HOME is also defined correctly and recognized by 
>> both bash (outside
>> and inside Emacs, aside from emacs -Q) and Emacs (aside from 
>> emacs -Q).
> 
> Perhaps I should add that in a bash command prompt outside Emacs, echoing $HOME
> or ~ shows this:
> 
> /cygdrive/c
> 
> Inside Emacs (apart from emacs -Q), `C-x d ~' takes me to c:/,
> and (getenv "HOME") returns "c:\\".

If you want to use Cygwin, you should run a Cygwin Emacs. Any ad-hoc
Cygwin integration in NT Emacs is necessarily incomplete. Is there any
interest in now taking my patch that allows compiling Cygwin Emacs
with Win32 widgets? I've been using it since I submitted that patch,
and it's been working fine for me.